Bug 666894 (CVE-2010-4538) - CVE-2010-4538 Wireshark: Stack-based array index error in ENTTEC dissector (upstream bug #5539)
Summary: CVE-2010-4538 Wireshark: Stack-based array index error in ENTTEC dissector (u...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4538
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 666561 666839 (view as bug list)
Depends On: 666897 667331 667333 667335 667336 667337 667338 833993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-03 16:46 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:43:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0013 normal SHIPPED_LIVE Moderate: wireshark security update 2011-01-11 04:03:22 UTC

Description Jan Lieskovsky 2011-01-03 16:46:43 UTC
An array index error, leading to a stack-based buffer overflow, 
was found in the way the ENTTEC dissector of Wireshark network 
traffic analyzer processed certain captures.

A remote attacker could use this flaw to cause wireshark executable
to crash or, potentially, execute arbitrary code with the privileges
of the user running wireshark, if the local user opened a
specially-crafted DMX data capture file, with Run Length Encoding (RLE)
used for compression of the DMX signal.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5539

Upstream changeset:
[2] http://anonsvn.wireshark.org/viewvc?view=rev&revision=35318

Sample public PoC capture file:
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5539#c4

CVE Request:
[4] http://www.openwall.com/lists/oss-security/2010/12/31/7

Comment 1 Jan Lieskovsky 2011-01-03 16:51:23 UTC
This issue affects the version of the wireshark package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the version of the wireshark package, as shipped
with Fedora release of 13 and 14.

Please schedule an update.

Comment 2 Jan Lieskovsky 2011-01-03 16:55:40 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 666897]

Comment 6 Huzaifa S. Sidhpurwala 2011-01-05 09:53:10 UTC
*** Bug 666561 has been marked as a duplicate of this bug. ***

Comment 7 Huzaifa S. Sidhpurwala 2011-01-05 09:54:21 UTC
*** Bug 666839 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2011-01-10 19:46:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0013 https://rhn.redhat.com/errata/RHSA-2011-0013.html


Note You need to log in before you can comment on or make changes to this bug.